<?php
/**
 * Convertidor de unidades - convertir1.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-08-31
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');
$db = conectaDb();
cabecera('Convertir 1', MENU_2, CABECERA_SIN_CURSOR);

$orden = 'ASC';

$consulta = "SELECT COUNT(*) FROM $dbTabla";
$result = $db->query($consulta);
if (!$result) {
    print "<p>Error en la consulta.</p>\n";
} elseif ($result->fetchColumn()==0) {
    print "<p>No se ha creado todavía ningún registro.</p>\n";
} else {
    $consulta = "SELECT DISTINCT unidad1 FROM $dbTabla
        ORDER BY unidad1 $orden ";
    $result = $db->query($consulta);
    if (!$result) {
        print "<p>Error en la consulta.</p>\n";    
    } else {
        print "<form action=\"convertir2.php\" method=\"".FORM_METHOD."\">
  <p>Elija la unidad a convertir:</p>
  <table>
    <tbody>\n";
        
        foreach ($result as $valor) {
            print "    <tr>
      <td><input type=\"radio\" value=\"$valor[unidad1]\" name=\"unidad1\" /></td>
      <td>$valor[unidad1]</td>
    </tr>\n";
        }
    print "    </tbody>
  </table>
  <p><input type=\"submit\" value=\"Siguiente\" /></p>
</form>\n";
    }
}

$db = NULL; 
pie();
?>